import { funktionEinfacheInterpolation } from "./funktionEinfacheInterpolation.js";
let HilfsenergieTrinkwarmWasserDifferenzdruckLeitungsLaengen = 0;

export function funktionHilfsenergieTrinkwarmWasserDifferenzdruckLeitungsLaengenT46(LeitungsLaenge: number, System: string) {

    if (LeitungsLaenge < 10) { LeitungsLaenge = 10; }
   
    const dataset = [
        {SuchSpalte: ["maxLeitungslänge"], DatenSpalte: [10, 25, 50, 60, 70, 80, 90, 100, 110, 120, 130, 140, 150, 160, 170, 180, 190, 200, 250, 300, 350, 400, 450, 500]},
        {SuchSpalte: ["Speicher"], DatenSpalte: [14, 15.5, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 38, 43, 48, 53, 58, 63]},
        {SuchSpalte: ["Durchflusssystem"], DatenSpalte: [28, 29.5, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 52, 57, 62, 67, 72, 77]}
    ];
if (LeitungsLaenge > 500) {

    if (System == "Speicher") {
            HilfsenergieTrinkwarmWasserDifferenzdruckLeitungsLaengen = 0.1 * LeitungsLaenge + 13;
        }
        else {
            HilfsenergieTrinkwarmWasserDifferenzdruckLeitungsLaengen = 0.1 * LeitungsLaenge + 27; 
        }
    }

    else {
     HilfsenergieTrinkwarmWasserDifferenzdruckLeitungsLaengen = funktionEinfacheInterpolation(LeitungsLaenge, System, dataset);
    }

    return HilfsenergieTrinkwarmWasserDifferenzdruckLeitungsLaengen;  
} 